[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Controls' (#lcl)

# TDragManager.RegisterDockSite

Adds the control to the list of registered docking sites.

## Declaration

Source position: controls.pp line 645

`public procedure TDragManager.RegisterDockSite(`
`Site: TWinControl;`
`DoRegister: Boolean`
`); virtual; abstract;`

## Arguments

`Site` |  | The DockSite to register.
`DoRegister` |  | True for adding, False for removing the site.

## Description

Remark: | This should become a class method, maintaining the list of registered docking sites outside any DragManager instance.